import 'package:flutter/material.dart';

/// Single call member information
///
/// @author Pierre Hubert

enum MemberStatus { JOINED, READY }

class CallMember {
  final int userID;
  MemberStatus status;

  CallMember({
    @required this.userID,
    this.status = MemberStatus.JOINED,
  })  : assert(userID != null),
        assert(status != null);
}
